<?php
require_once( "phpinc/wecker.class.php" );
$wecker = new wecker;

if( $_POST['alm_conf_submit'] == "speichern" ) {
	$wecker->set_alm_config( $_POST );
}
if( $_POST['alm_week_submit'] == "speichern" ) {
	$weckzeiten = array(
		"MO" => $_POST['mo_hr'].":".$_POST['mo_min'],
		"DI" => $_POST['di_hr'].":".$_POST['di_min'],
		"MI" => $_POST['mi_hr'].":".$_POST['mi_min'],
		"DO" => $_POST['do_hr'].":".$_POST['do_min'],
		"FR" => $_POST['fr_hr'].":".$_POST['fr_min'],
		"SA" => $_POST['sa_hr'].":".$_POST['sa_min'],
		"SO" => $_POST['so_hr'].":".$_POST['so_min']
	);
	$wecker->set_weekplan( $weckzeiten );
}
if( $_POST['alm_once_submit'] == "programmieren" ) {
	$wecker->new_at( $_POST['alm_once_hr'].":".$_POST['alm_once_min'], $_POST['alm_once_date'], "/usr/bin/alarmer noreschedule" );
}
if( $_GET['delat'] != "" ) {
	$wecker->del_at( (int)$_GET['delat'] );
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>VIP1710 Internetradio</title>
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link rel="stylesheet" type="text/css" href="css/wecker.css" />
	<link rel="stylesheet" href="css/ui-lightness/jquery-ui-1.8.11.custom.css">
	<script type="text/javascript" src="js/jquery-1.5.1.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.ui.datepicker-de.js" ></script>
	<script type="text/javascript" src="js/wecker_conf.js" ></script>
</head>
<body>
	<div id="wraper" >
		<div id="head" ></div>
		<div id="menu" >
			<ul>
				<li><a href="index.php" title="Webplayer" ><img src="img/playsound.png" alt="" />&nbsp;Player</a></li>
				<li><a href="wecker.php" title="Wecker" ><img src="img/clock.png" alt="" />&nbsp;Wecker</a></li>
				<li><a href="config.php" title="Radio Konfigurieren" ><img src="img/settings.png" alt="" />&nbsp;Config</a></li>
				<li><a href="about.php" title="&Uuml;ber das Internetradio" ><img src="img/spacer.png" alt="" />About</a></li>
			</ul>
			<img src="img/corner.png" alt="" />
		</div>
		<br style="clear: left" />
		<div id="main" >
		<h1>Wecker</h1>
		<div id="wecker" >
			<div id="schedule" >
				<button><img src="img/clock<?php
echo ( $wecker->get_alarmer() == true ) ? "_clear" : "";
?>.png" alt="" /> Wecker <?php
echo ( $wecker->get_alarmer() == true ) ? "de" : "";
?>aktivieren</button>
				<p class="<?php
echo ( $wecker->get_alarmer() == true ) ? "" : "in" ?>active" ><?php
echo ( $wecker->get_alarmer() == true ) ? "" : "in" ?>aktiv</p>
			</div>
			<h2>Weckzeiten</h2>
			<div id="nurwecken" >
			Programmierte Weckzeiten
			<ul id="weckprog" >
<?php
foreach( $wecker->get_atq() as $scheduled ) {
	echo "<li>".$scheduled[1]." ".$scheduled[2]." ";
	echo '<img src="img/spacer.png" style="width: 10px; height: 5px" alt="" /><a href="wecker.php?delat='.$scheduled[0].'" title="Weckzeit l&ouml;schen" ><img src="img/remove.png" alt="l&ouml;schen" /></a>';
	echo "</li>\n";
}

?>			</ul>
			<br />
			Einmalige Weckfunktion<br />
			<form action="wecker.php" method="post" name="alm_once" >
			<input type="text" size="2" maxlength="2" name="alm_once_hr" value="09" />:<input type="text" size="2" maxlength="2" name="alm_once_min" value="00" /> Uhr
			am <input type="text" id="datepicker" name="alm_once_date" size="10" maxlength="10" >
			<input type="submit" name="alm_once_submit" value="programmieren" />
			</form>
			</div>
			<div id="weckplan" >
			Wochenplan f&uuml;r Weckzeiten
			<form action="wecker.php" method="post" name="alm_weekplan" >
			<table style="border: 1px solid blue; background: #ccc;" >
				<tr><?php
$weekplan = $wecker->get_weekplan();
?>
				<td>Montag</td><td><input type="text" size="2" maxlength="2" name="mo_hr" value="<?php echo $weekplan["MO"][0] ?>" />:<input type="text" size="2" maxlength="2" name="mo_min" value="<?php echo $weekplan["MO"][1] ?>" /> Uhr</td></tr>
				<tr><td>Dienstag</td><td><input type="text" size="2" maxlength="2" name="di_hr" value="<?php echo $weekplan["DI"][0] ?>" />:<input type="text" size="2" maxlength="2" name="di_min" value="<?php echo $weekplan["DI"][1] ?>" /> Uhr</td></tr>
				<tr><td>Mittwoch</td><td><input type="text" size="2" maxlength="2" name="mi_hr" value="<?php echo $weekplan["MI"][0] ?>" />:<input type="text" size="2" maxlength="2" name="mi_min" value="<?php echo $weekplan["MI"][1] ?>" /> Uhr</td></tr>
				<tr><td>Donnerstag</td><td><input type="text" size="2" maxlength="2" name="do_hr" value="<?php echo $weekplan["DO"][0] ?>" />:<input type="text" size="2" maxlength="2" name="do_min" value="<?php echo $weekplan["DO"][1] ?>" /> Uhr</td></tr>
				<tr><td>Freitag</td><td><input type="text" size="2" maxlength="2" name="fr_hr" value="<?php echo $weekplan["FR"][0] ?>" />:<input type="text" size="2" maxlength="2" name="fr_min" value="<?php echo $weekplan["FR"][1] ?>" /> Uhr</td></tr>
				<tr><td>Samstag</td><td><input type="text" size="2" maxlength="2" name="sa_hr" value="<?php echo $weekplan["SA"][0] ?>" />:<input type="text" size="2" maxlength="2" name="sa_min" value="<?php echo $weekplan["SA"][1] ?>" /> Uhr</td></tr>
				<tr><td>Sonntag</td><td><input type="text" size="2" maxlength="2" name="so_hr" value="<?php echo $weekplan["SO"][0] ?>" />:<input type="text" size="2" maxlength="2" name="so_min" value="<?php echo $weekplan["SO"][1] ?>" /> Uhr</td></tr>
				<tr><td></td><td style="text-align: center" ><input type="submit" name="alm_week_submit" value="speichern" /></td></tr>
			</table></form></div>
			<h2>Einstellungen</h2>
			<form action="wecker.php" method="post" name="alm_conf" >
			<table id="weckconf" >
			<tr><td><img src="img/playsound.png" alt="Weckton" >Weckton: <select name="alm_sound" >
<?php
$configs = $wecker->get_configs();
?>				<option value="oldphone.mp3" <?php echo ( $configs["ALARM"] == "oldphone.mp3" ) ? 'selected="selected" ': ""; ?>>Klingel</option>
				<option value="rock.mp3" <?php echo ( $configs["ALARM"] == "rock.mp3" ) ? 'selected="selected" ': ""; ?>>Rock-Tune</option>
				<option value="synth.mp3" <?php echo ( $configs["ALARM"] == "synth.mp3" ) ? 'selected="selected" ': ""; ?>>Synthisizer</option>
				<option value="toy.mp3" <?php echo ( $configs["ALARM"] == "toy.mp3" ) ? 'selected="selected" ': ""; ?>>Glockenspiel</option>
			</select></td>
			<td><img src="img/playlist.png" alt="Weckstream" />Stream: <select name="alm_stream" >
				<option value="last" >zuletzt gespielter</option>
<?php
foreach( $wecker->get_streamlist() as $key => $value ) {
	echo '<option value="'.$key.'" ';
	echo ( $key == $configs["ALARM_STREAM"] ) ? 'selected="selected" ' : "";
	echo '>'.$value["NAME"].'</option>';
	echo "\n";
}
?>			</select></td>
			</tr><tr>
				<td><img src="img/thermometer.png" alt="Temperatur" /> Temperatur-URL <a style="color: blue; text-decoration: none" href="http://weather.yahoo.com/" title="weather.yahoo.com" target="_blank" >http://weather.yahoo.com/</a></td>
				<td><input name="alm_temp1" type="text" size="50" maxlength="60" value="<?php
echo str_replace( "http://weather.yahoo.com/", "", $configs["ALARM_TEMP_FORECAST"] ); ?>" /></td>
			</tr><tr>
				<td><img src="img/weather.png" alt="Wetter" /> Wetterstations-URL</td>
				<td><input name="alm_temp2" type="text" size="50" maxlength="60" value="<?php echo $configs["ALARM_TEMP_AKTUELL"]; ?>" /></td>
			</tr><tr>
				<td><img src="img/volume2.png" alt="Volume" /> Wecklautst&auml;rke: <input type="text" size="2" maxlength="3" name="alm_vol" value="<?php echo $configs["ALARM_VOLUME"]; ?>" /></td>
				<td style="text-align: center" ><input type="submit" name="alm_conf_submit" value="speichern" /></td>
			</tr>
			</table>
			</form>
		</div>
		<p><img src="img/spacer.png" alt="" /></p>
		</div>
		<div id="footer">&copy; 2011 by <a href="http://thinksilicon.de/" title="Thinksilicon" target="_blank" >thinksilicon.de</a></div>
	</div>
</body>
</html>
