onload = function() {
	// Felder initialisieren
	ifcfgfields( !document.ipcfg.elements[ 0 ].checked );
}

function ifcfgfields( enabled ) {
	// Alle IP-Config-Felder entweder aktivieren oder deaktivieren
	for( i = 2; i <= 17; i++ ) {
		document.ipcfg.elements[ i ].disabled = !enabled;
	}
}

$(function() {
	Array.prototype.contains = function( element ) {
		for( var i = 0; i < this.length; ++i ) {
			if( this[i] == element ) {
				return( true );
			}
		}
		return( false );
	}

	function isnumeric( sText ) {
		var ValidChars = "0123456789";
		var IsNumber = true;
		var Char;

		for( i = 0; i < sText.length && IsNumber == true; i++ ) {
			Char = sText.charAt( i );
			if( ValidChars.indexOf( Char ) == -1 ) {
				IsNumber = false;
			}
		}
		return( IsNumber );
	}

	$( "input:submit", ".submits" ).button();
	$( "input:submit", "#ipcfg" ).click( function() {
		if( document.ipcfg.elements[0].checked ) {
			for( i = 2; i <= 17; i++ ) {
				document.ipcfg.elements[ i ].value = "";
			}
		} else {
			for( e = 2; e <= 17; e++ ) {
				if( !isnumeric( document.ipcfg.elements[ e ].value ) ||
					document.ipcfg.elements[ e ].value < 0 ||
					document.ipcfg.elements[ e ].value > 255 ||
					document.ipcfg.elements[ e ].value == "" ) {
					alert( unescape("Mindestens ein Feld wurde mit einem fehlerhaften Wert ausgef%FCllt%21") );
					return( false );
				}
			}
		}
		alert( unescape( "Diese %C4nderungen werden erst nach einem Neustart des Internetradios wirksam.%0DBitte noch 10 Sekunden nach dem Absenden des Formulars warten%2C damit alle%0DDaten geschrieben werden k%F6nnen. Anschlie%DFend die Box vom Strom trennen und%0Dwieder anschlie%DFen." ) );
		return( true );
	});

	$( "input:submit", "#startopt" ).click( function() {
		var errormsg = "Folgende Felder m%FCssen ausgef%FCllt werden oder sind fehlerhaft ausgef%FCllt%3A%0D%0D";
		var dosubmit = true;

		if( !isnumeric( document.startopt.cfg_volume.value ) ||
			document.startopt.cfg_volume.value < 0 ||
			document.startopt.cfg_volume.value > 100 ) {
			errormsg += "%09Startlautst%E4rke%0D";
			dosumbmit = false;
		}
		if( !isnumeric( document.startopt.cfg_stream.value ) ||
			document.startopt.cfg_stream.value < 1 ) {
			errormsg += "%09Start-Stream%0D";
			dosubmit = false;
		}

		if( !dosubmit ) {
			alert( unescape( errormsg ) );
			return( false );
		} else {
			return( true );
		}
	});
});
