<?php
// Predefined MPD Response messages
define("MPD_RESPONSE_ERR", "ACK");
define("MPD_RESPONSE_OK",  "OK");

function Connect() {
	global $mpd_sock;
	$mpd_sock = fsockopen( "localhost" , 6600, $errNo, $errStr, 10 );
	if( !$mpd_sock ) {
		echo "Socket Error: $errStr ($errNo)";
		return( false );
	} else {
		$counter = 0;
		while( !feof( $mpd_sock ) ) {
			$counter++;
			if( $counter > 10 ) {
				echo "no file end";
				return( false );
			}
			$response =  fgets( $mpd_sock,1024 );

			if( strncmp( MPD_RESPONSE_OK, $response, strlen( MPD_RESPONSE_OK ) ) == 0 ) {
				return( true );
			}
			if( strncmp( MPD_RESPONSE_ERR, $response, strlen( MPD_RESPONSE_ERR ) ) == 0 ) {
				// close socket
				fclose($mpd_sock);
				echo "Server responded with: $response";
				return( false );
			}

		}
		// close socket
		fclose( $mpd_sock );
		// Generic response
		echo "Connection not available";
		return( false );
	}
}

function currentsong() {
	global $mpd_sock;
	fputs( $mpd_sock, "currentsong\n" );
	$respStr = "";
	while( !feof( $mpd_sock ) ) {
		$response = fgets( $mpd_sock, 1024 );

		// An OK signals the end of transmission -- we'll ignore it
		if( strncmp( MPD_RESPONSE_OK, $response, strlen( MPD_RESPONSE_OK ) ) == 0 ) {
			break;
		}

		// An ERR signals the end of transmission with an error! Let's grab the single-line message.
		if( strncmp( MPD_RESPONSE_ERR, $response, strlen( MPD_RESPONSE_ERR ) ) == 0 ) {
			list( $junk, $errTmp ) = strtok( MPD_RESPONSE_ERR." ", $response );
			echo strtok($errTmp,"\n");
			exit;
		}

		// Build the response string
		$respStr .= $response;
	}
	return( $respStr );
}
?>